REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single ResellerAccount record by its Id.
{ "ResellerId": 123, "ResellerCurrencyId": 123, "ResellerCurrencyCode": "<string>", "BusinessId": 123, "BusinessName": "<string>", "BusinessPreAuthId": "<string>", "BusinessLast4Digits": "<string>", "BusinessPreAuthLastError": "<string>", "BusinessSuspended": true, "BusinessNextInvoice": "<string>", "BusinessTrialExpireDate": "<string>", "BusinessSupportTier": "<string>", "BusinessOnBoardingTier": "<string>", "Approved": true, "ComissionPercentage": 123, "NextPayoutDate": "<string>", "ExpirationDate": "<string>", "LastAccess": "<string>", "LastInvoiceAmount": 123, "AverageInvoiceAmount": 123, "CanManageAccount": true, "ProvidesFirstLineSupport": true, "Notes": "<string>", "ScopeOfWork": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
ResellerAccount-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/reselleraccounts/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "ResellerId": 0, "ResellerCurrencyId": null, "ResellerCurrencyCode": null, "BusinessId": 0, "BusinessName": null, "BusinessPreAuthId": null, "BusinessLast4Digits": null, "BusinessPreAuthLastError": null, "BusinessSuspended": null, "BusinessNextInvoice": null, "BusinessTrialExpireDate": null, "BusinessSupportTier": null, "BusinessOnBoardingTier": null, "Approved": false, "ComissionPercentage": 0, "NextPayoutDate": null, "ExpirationDate": null, "LastAccess": null, "LastInvoiceAmount": null, "AverageInvoiceAmount": null, "CanManageAccount": false, "ProvidesFirstLineSupport": false, "Notes": null, "ScopeOfWork": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "ResellerAccount Example", "LocalizationDetails": null, "CustomFields": null }